Bug 430281 - tidy up the XHTML output from Docbook
tidy up the XHTML output from Docbook
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Paul W. Frields
Karsten Wade
Depends On:
  Show dependency treegraph
Reported: 2008-01-25 14:32 EST by Karsten Wade
Modified: 2009-07-07 00:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 09:22:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2008-01-25 14:32:36 EST
This bug is a reminder to add tidy support to the default Makefile, to make the
output XHTML nicer before publishing.

Hope this isn't a dupe, but at least the thought/reminder is out there.
Comment 1 Paul W. Frields 2008-03-20 20:06:26 EDT
I've added an XSL parameter to one of our surrounding stylesheets to insert
linefeeds after block elements.  The indentation is sometimes wonky when one
generates this output, so I've left that alone in favor of just having output
that is at least diff-friendly.

If you like that, feel free to close this as RAWHIDE.  If it's not good enough
let me know and I'll see what else I can do with libxml2 tools.  It's probably
worth it for us to avoid calling external tools, because we don't have a
reliable way of checking dependencies without making an RPM of our toolset.  (I
know...) ;-)
Comment 2 Paul W. Frields 2008-04-04 09:22:42 EDT
I'm going to take silence as consent and close this.  You're the boss so reopen
it if you need further work done here. :-)
Comment 3 eric@christensenplace.us 2009-07-07 00:09:55 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.